cifti::CiftiFile::WriteImplInterface Class Referenceabstract
Inheritance diagram for cifti::CiftiFile::WriteImplInterface:
[legend]
Collaboration diagram for cifti::CiftiFile::WriteImplInterface:
[legend]

## Public Member Functions

virtual void | setRow (const float *dataIn, const std::vector< int64_t > &indexSelect)=0
virtual void | setColumn (const float *dataIn, const int64_t &index)=0
virtual void | close ()
Public Member Functions inherited from cifti::CiftiFile::ReadImplInterface
virtual void | getRow (float *dataOut, const std::vector< int64_t > &indexSelect, const bool &tolerateShortRead) const =0
virtual void | getColumn (float *dataOut, const int64_t &index) const =0
virtual bool | isInMemory () const

The documentation for this class was generated from the following files:

- CiftiFile.h
- CiftiFile.cxx